com.io7m.jcanephora.async

## Class JCGLAsyncBufferPair.Builder

- java.lang.Object
- - com.io7m.jcanephora.async.JCGLAsyncBufferPair.Builder

- Enclosing class:
    JCGLAsyncBufferPair

      public static final class JCGLAsyncBufferPair.Builder
      extends Object

  Builds instances of type `JCGLAsyncBufferPair`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLAsyncBufferPair` | `build()` Builds a new `JCGLAsyncBufferPair`.
    `JCGLAsyncBufferPair.Builder` | `from(JCGLAsyncBufferPairType instance)` Fill a builder with attribute values from the provided `JCGLAsyncBufferPairType` instance.
    `JCGLAsyncBufferPair.Builder` | `setArrayBuffer(JCGLArrayBufferType arrayBuffer)` Initializes the value for the `arrayBuffer` attribute.
    `JCGLAsyncBufferPair.Builder` | `setIndexBuffer(JCGLIndexBufferType indexBuffer)` Initializes the value for the `indexBuffer` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final JCGLAsyncBufferPair.Builder from(JCGLAsyncBufferPairType instance)

      Fill a builder with attribute values from the provided `JCGLAsyncBufferPairType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setArrayBuffer

          public final JCGLAsyncBufferPair.Builder setArrayBuffer(JCGLArrayBufferType arrayBuffer)

      Initializes the value for the `arrayBuffer` attribute.
      Parameters:
        `arrayBuffer` - The value for arrayBuffer
      Returns:
        `this` builder for use in a chained invocation

    - #### setIndexBuffer

          public final JCGLAsyncBufferPair.Builder setIndexBuffer(JCGLIndexBufferType indexBuffer)

      Initializes the value for the `indexBuffer` attribute.
      Parameters:
        `indexBuffer` - The value for indexBuffer
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public JCGLAsyncBufferPair build()

      Builds a new `JCGLAsyncBufferPair`.
      Returns:
        An immutable instance of JCGLAsyncBufferPair
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com